
Katello - Bug #5142

repository create form sending up empty string which pulp errors on as feed

04/10/2014 04:32 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1086355 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1086355

Page 11 Section 3.3 Step 6 - Clicking Save gives brief spinner but does not leave page. No error displayed in UI.

The 'feed' form param is getting sent as "" (empty string). This is reproducible by entering a URL

 value in the form and then clearing it. (The step doesn't mention URL so I pasted the previous pa

th there before deleting it before form submission. No error in UI. Can see error state in /forema

n_tasks/dynflow (See @jsherrill for debug)

Associated revisions

Revision cd41f287 - 04/11/2014 12:09 AM - Justin Sherrill

fixes #5142 - fixing error on repo create with empty string

pulp does not treet empty string for feed urls the same as

nil.  As a result repo creation would fail.  This fixes the issue by doing 2 things:

a) convert empty string to nil at repo creation time

b) explicitly do not accept empty string in the url validator

Revision 1e1863cf - 04/14/2014 04:33 PM - Justin Sherrill

Merge pull request #3969 from jlsherrill/repo_feed

fixes #5142 - fixing error on repo create with empty string

History

#1 - 04/10/2014 06:29 PM - Justin Sherrill

- Status changed from New to Ready For Testing

- Assignee set to Justin Sherrill

- Target version set to 43

- Triaged set to Yes

https://github.com/Katello/katello/pull/3969

#2 - 04/14/2014 04:53 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:cd41f287eba9ac0d2d0f5fa220e35beb078cd864.

#3 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
